html,body{
    margin: 1px;
    padding: 0px;
    font-family: arial;
}

header{
    display: flex;
    flex-direction:row;
    border: 1px solid black;
    width: 100%;
    height: 25%;
}
header img{
    display: inline-block;
    height: 200px;
    margin-left: 20px;
}

#titulo-texto{
    display: inline-block;
    position: relative;
    height: 200px;
    line-height: 200px;
    width: 400px;
    text-align: center;
    font-family: verdana;
    font-size: 32px;
    margin: 0px 80px;
}

nav{
    margin-top: 0px;
    
    width: 100%;
    height: 50px;
    line-height: 50px;
    background-color: black;
}

nav ul{
    margin: 0px;
    height: 30px;
    padding-left: 5px;
}

nav ul li{
    display: inline-block;
    margin-left: 10px;
    margin-right: 10px;
}


nav a{
    display: inline-block;
    text-decoration: none;
    border: 1px solid black;
    background-color: steelblue;
    height: 30px;
    min-width: 120px;
    line-height: 30px;
    padding: 5px 7px;
    color: white;
    text-align: center;
    border-radius: 5px;
    transition:all .5s 
}

nav a:hover{
    background-color: lightskyblue;
    color:black;
}

aside{
    float: left;
    width: 25%;
    min-height: 500px;
}

.entrar-web{
    border-bottom: 2px solid black;
    width: 200px;
    margin: auto;
    background-color: #cdc;
    margin-top: 20px;
    height: 40px;
    line-height: 40px;
    box-shadow: 0px 3px steelblue;
    
}

.campos-form{
    width: 100%;
    text-align: center;
}

/*************Cuerpo Principal***********************/

#principal{
    width: 75%;
    min-height: 500px;
    float: left;
    background-color: beige;
    display: flex;
    flex-direction: row;
}

.producto{
    display: inline-block;
    text-align: center;
    width: 25%;
    height: 350px;
    background-color: #ccc;
    border: 1px solid black;
    margin: 10px 20px;
}

.producto img{
    margin-top: 10px;
    height: 180px;
}

.producto a{
    color: black;
    text-decoration: none;
    font-family: arial;
}

.producto a:hover{
    color: darkcyan;
}

.btn_compra{
    display: inline-block;
    width: 50%;
    height: 40px;
    line-height: 40px;
    background-color: steelblue;
    color:white;
    text-decoration: none;
    transition: all 0.7s;
}

.btn_compra:hover{
    background-color: green;
}


/********Footer*********/
footer{
    height: 5%;
    width: 100%;
    background-color: lightcoral;
    font-size: 0.8em;
    position: fixed;
    left: 0px;
    bottom:0px;
    display: flex;
    align-items: center;
    justify-content: center;
}

label{
    display:block;
    margin-left: 20px;
    margin-top: 10px;
}


input[type="text"],
input[type="password"],
input[type="number"],
input[type="date"],
select,
textArea{
    margin-left: 20px;
    margin-right: 20px;
    width: 50%;
    
}

input[type="submit"],
input[type="file"]{
    margin-left: 20px;
    margin-right: 20px;
    margin-top: 5px;
}



form{
    width: 100%;
}

.alert_green{
    color: green;
}

.alert_red{
    color: tomato;
}

.lista_menu{
    display: inline-block;
    text-align: left;
}

.lista_menu li{
    margin: 15px;
}

.lista_menu a{
    text-decoration: none;
}

.lista_menu a:hover{
    text-decoration: underline;
}

h1{
    
    border-bottom: 1px solid #ccc;
    text-align: center;
    box-sizing: content-box;
    margin: 20px;
    
}



.div_cuerpo{ 
    width: 100%;
   /* margin: auto;*/
    margin-bottom: 50px ;
}

.centrado{
    text-align: center;
}

table{
    text-align: center;
    margin: auto;
    border-collapse: collapse;
    width: 75%;
}
td{
    padding-top: 10px;
    padding-bottom: 10px;
    border-bottom: 3px solid #ddd;
   
}

.boton_cat{
    display: block;
    cursor: pointer;
    text-decoration: none;
    border: 1px solid black;
    background-color: green;
    height: 30px;
    width: 150px;
    line-height: 30px;
    padding:5px;
    color: white;
    text-align: center;
    border-radius: 5px;
    margin-top: 20px;
    margin-left: 12%;
    transition: all .5s;
}

.boton_cat:hover{
    background-color: olivedrab;
}

.boton_pedido{
    display: block;
    cursor: pointer;
    text-decoration: none;
    border: 1px solid black;
    background-color: green;
    height: 30px;
    width: 150px;
    line-height: 30px;
    padding:5px;
    color: white;
    text-align: center;
    border-radius: 5px;
    margin-top: 20px;
    margin-left: 5px;
    transition: all .5s;
}

.boton_pedido:hover{
    background-color: olivedrab;
}




.boton_gestion{
    display:inline-block;
    cursor: pointer;
    text-decoration: none;
    border: 1px solid black;
    background-color: green;
    line-height: 30px;
    padding:5px;
    color: white;
    text-align: center;
    border-radius: 5px;
    margin-top: 8px;
    margin-bottom: 8px;
    margin-left: 15px;
    transition: all .5s;
}

.boton_pedido{
    display: block;
    cursor: pointer;
    text-decoration: none;
    border: 1px solid black;
    background-color: green;
    height: 30px;
    width: 150px;
    line-height: 30px;
    padding:5px;
    color: white;
    text-align: center;
    border-radius: 5px;
    margin-top: 20px;
    margin-left: 5px;
    transition: all .5s;
}

.boton_red{
    background-color: darkred;
}

.boton_red:hover{
    background-color: tomato;
}

.thumbnail{
    width: 100px;
    margin-left: 20px;
    margin-top: 5px;
    
}

.detalle_imagen{
    float: left;
    width: 70%;
}

.detalle_datos{
    float: left;
}
.detalle_imagen img{
    width: 70%;
}

.detalle_datos a{
    width: 60%;
}

.img_carrito{
    width: 150px;
}

.carrito_footer{
    float: right;
    margin-right: 14%;
}

.carrito-footer-left{
    float: left;
    margin-left: 14%;
}

.btn_eliminar{
    margin: 0px auto;
}

.btn_updown{
    display: inline-block;
    cursor: pointer;
    text-decoration: none;
    border: 1px solid black;
    background-color: green;
    height: 20px;
    width: 20px;
    line-height: 20px;
    padding:5px;
    color: white;
    text-align: center;
    border-radius: 5px;
    margin-top: 10px;
    transition: all .5s;
}